#!/bin/bash

{% set is_appserver = (container.hasRole("appserver")|string) == "true" %}
{% set is_worker = (container.hasRole("worker")|string) == "true" %}
{% set is_appserver_and_worker = is_appserver and is_worker %}

if [[ $(id -u) -eq 0 ]]; then
    echo "ERROR: appsearch.sh running as uid 0 (root), exiting."
    exit 1
fi

{% if is_appserver_and_worker == true %}
    {% set command = "all" %}
    {% if version.major() == 7 and version.minor() == 4 %}
      {% set heap = (container.heapSize() / 2.5)|round|int %}
    {% else %}
      {% set heap = container.heapSize() %}
    {% endif %}
{% else %}
    {% set heap = container.heapSize() %}
    {% if is_appserver %}
        {% set command = "app" %}
    {% else %}
        {% if is_worker %}
            {% set command = "--process worker" %}
        {% endif %}
    {% endif %}
{% endif %}

JAVA_OPTS="-Xms{{ heap }}M -Xmx{{ heap }}M" FILEBEAT_JAVA_OPTS="-Xmx256M -Xms8M" APP_SEARCH_CONFIG_PATH=/app/config/appsearch.yml /usr/share/app-search/bin/app-search {{ command }} > /dev/null